<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Welcome extends CI_Controller {

	/**
	 * Index Page for this controller.
	 *
	 * Maps to the following URL
	 * 		http://example.com/index.php/welcome
	 *	- or -
	 * 		http://example.com/index.php/welcome/index
	 *	- or -
	 * Since this controller is set as the default controller in
	 * config/routes.php, it's displayed at http://example.com/
	 *
	 * So any other public methods not prefixed with an underscore will
	 * map to /index.php/welcome/<method_name>
	 * @see https://codeigniter.com/user_guide/general/urls.html
	 */
	public function index()
	{
		$this->load->view('welcome_message');
	}

	function email_user()
	{
		 $this->load->library('email');
		 $this->email->from('jatin@iivo.io', 'Anil Labs');
        /*$data = array(
             'userName'=> 'Anil Kumar Panigrahi'
                 );*/

		$this->email->to('gunjan@iivo.io');  // replace it with receiver mail id
		$this->email->subject('test template'); // replace it with relevant subject

		$body = $this->load->view('test/email.php');
		$this->email->message($body);  
		$this->email->send();
	}
}
